<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.undertow">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-security-domain,default-server,default-servlet-container,default-virtual-host,instance-id,obfuscate-session-route,statistics-enabled"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.undertow"/>
        <capability name="$profile.org.wildfly.undertow.http-invoker"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.undertow.host.$default-server.$default-virtual-host" optional="true"/>
        <capability name="$profile.org.wildfly.undertow.servlet-container.$default-servlet-container" optional="true"/>
        <capability name="$profile.org.wildfly.undertow.server.$default-server" optional="true"/>
    </requires>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="obfuscate-session-route" nillable="true"/>
        <param name="extension" default="org.wildfly.extension.undertow"/>
        <param name="default-virtual-host" nillable="true" default="default-host"/>
        <param name="instance-id" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="default-servlet-container" nillable="true" default="default"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="default-server" nillable="true" default="default-server"/>
        <param name="default-security-domain" nillable="true"/>
        <param name="statistics-enabled" nillable="true"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.undertow"/>
    </packages>
</feature-spec>